List marketing campaign templates.
curl --request GET \
--url https://api.parallellabs.app/api/v0/marketing-campaign-templates \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parallellabs.app/api/v0/marketing-campaign-templates"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parallellabs.app/api/v0/marketing-campaign-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"companyId": "<string>",
"uid": "<string>",
"name": "<string>",
"description": "<string>",
"subject": "<string>",
"replyTo": "<string>",
"bodyHtml": "<string>",
"bodyDocument": "<string>",
"senderProfileId": "<string>",
"listId": "<string>",
"fieldMappings": {},
"scheduleSettings": "<string>",
"chatHistory": [
"<string>"
],
"created_date": "<string>",
"updated_date": "<string>",
"smartList": {
"id": "<string>",
"name": "<string>"
},
"senderProfile": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"integrationId": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Marketing Campaigns
List marketing campaign templates.
Templates are reusable email designs (subject, visual-builder body document with its server-rendered HTML, default sender profile, smart list, and field mappings). To start a campaign from one, pass its id as templateId when creating a campaign via POST /api/v0/marketing-campaigns.
GET
/
api
/
v0
/
marketing-campaign-templates
List marketing campaign templates.
Authorizations
CompanyApiKeyBearerAuth & CompanyId
Company API key - scoped to a specific company. Generate from the Integrations page in your dashboard.
Query Parameters
Case-insensitive substring match against template name and description
Response
Marketing campaign templates in the company (optionally filtered by ?search=), most recently updated first
List of marketing campaign templates, most recently updated first
Show child attributes
Show child attributes

